Package com.usatiuk.kleppmanntree

# Record Class LogEffectOld<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>

java.lang.Object
java.lang.Record
com.usatiuk.kleppmanntree.LogEffectOld<TimestampT,PeerIdT,MetaT,NodeIdT>

All Implemented Interfaces:
  `Serializable`

public record LogEffectOld<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT>(OpMove<TimestampT extends Comparable<TimestampT>,PeerIdT extends Comparable<PeerIdT>,MetaT extends NodeMeta,NodeIdT> oldEffectiveMove, NodeIdT oldParent, MetaT extends NodeMeta oldMeta) extends Record implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LogEffectOld(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> oldEffectiveMove, NodeIdT oldParent, MetaT oldMeta)`
Creates an instance of a `LogEffectOld` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`OpMove<TimestampT,PeerIdT,MetaT,NodeIdT>`
`oldEffectiveMove()`
Returns the value of the `oldEffectiveMove` record component.
`MetaT`
`oldMeta()`
Returns the value of the `oldMeta` record component.
`NodeIdT`
`oldParent()`
Returns the value of the `oldParent` record component.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogEffectOld

public LogEffectOld(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> oldEffectiveMove, NodeIdT oldParent, MetaT oldMeta)
Creates an instance of a `LogEffectOld` record class.

Parameters:
  `oldEffectiveMove` - the value for the `oldEffectiveMove` record component
  `oldParent` - the value for the `oldParent` record component
  `oldMeta` - the value for the `oldMeta` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### oldEffectiveMove

public OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> oldEffectiveMove()
Returns the value of the `oldEffectiveMove` record component.

Returns:
  the value of the `oldEffectiveMove` record component

### oldParent

public NodeIdT oldParent()
Returns the value of the `oldParent` record component.

Returns:
  the value of the `oldParent` record component

### oldMeta

public MetaT oldMeta()
Returns the value of the `oldMeta` record component.

Returns:
  the value of the `oldMeta` record component